* {
  box-sizing: border-box;
  padding: 0;
  margin: 0;
  outline: none;
}


#popup,
#resultPopup {
  position: fixed;
  top: 20%;
  left: 50%;
  transform: translate(-50%, -50%);
  width: 80%;
  max-width: 400px;
  padding: 20px;
  background: #fff;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.5);
  text-align: center;
  z-index: 100;
}

.hidden {
  display: none;
}

body {
  background-image: url('https://images.unsplash.com/photo-1513151233558-d860c5398176?q=80&w=2670&auto=format&fit=crop&ixlib=rb-4.0.3&ixid=M3wxMjA3fDB8MHxwaG90by1wYWdlfHx8fGVufDB8fHx8fA%3D%3D');
  position: relative;
  font-family: Open Sans;
  display: flex;
  justify-content: center;
  align-items: center;
  height: 100vh;
  overflow: hidden;
  background-size: cover;
}


body::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;

  background-size: cover;
  background-position: center;
  opacity: 0.5;
  /* Set the opacity to 50% */
}

.mainbox {
  position: relative;
  width: 500px;
  height: 500px;
}

.mainbox:after {
  position: absolute;
  content: "";
  width: 100%;
  height: 100%;
  background: url(./arrow-bottom.png) no-repeat;
  background-size: 5%;
  left: 5%;
  top: 48%;
  transform: rotate(90deg);
}




.box1 .span1 b {
  position: absolute;
  top: 55%;
  right: 63%;
  transform: rotate(162deg);
  text-align: center;
}

.box1 .span2 b {
  position: absolute;
  top: 24%;
  right: 63%;
  transform: rotate(217deg);
}

.box1 .span3 b {
  position: absolute;
  top: 18%;
  right: 36%;
  transform: rotate(-80deg);
}

.box2 .span1 b {
  position: absolute;
  top: 53%;
  right: 67%;
  transform: rotate(168deg);
}

.box2 .span2 b {
  position: absolute;
  top: 25%;
  right: 60%;
  transform: rotate(-140deg);
  text-align: center;
}

.box2 .span3 b {
  position: absolute;
  top: 21%;
  right: 33%;
  transform: rotate(281deg);
}

.box {
  width: 100%;
  height: 100%;
  position: relative;
  border-radius: 50%;
  border: 3px solid black;
  overflow: hidden;
  transition: all ease-in-out 5s;
  transform: rotate(90deg);
}


span {
  width: 100%;
  height: 100%;
  display: inline-block;
  position: absolute;
}

.span1 {
  clip-path: polygon(0% 40%, 0 100%, 50% 50%);
  background-color: #FFB534;
}

.span2 {
  clip-path: polygon(-20% 36%, 30% 0, 50% 50%);
  background-color: #E36414;
}

.span3 {
  clip-path: polygon(30% 0%, 100% 0%, 50% 50%);
  background-color: #FB8B24;
}


.box2 .span3 {
  background-color: #FB8B24;
}

.box2 {
  width: 100%;
  height: 100%;
  transform: rotate(180deg);
}

.font {
  color: white;
  font-size: 30px;
}


.spin {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  width: 75px;
  height: 75px;
  border-radius: 50%;
  border: 4px solid white;
  background-color: #222831;
  color: #fff;
  box-shadow: 0 5px 20px #000;
  font-weight: bold;
  font-size: 22px;
  cursor: pointer;
  z-index: 1000;
}

.spin:active {
  width: 70px;
  height: 70px;
  font-size: 20px;
}

.mainbox.animate:after {
  animation: animateArrow 0.7s ease infinite;
}

audio {
  display: none;
}

@keyframes animateArrow {
  50% {
    right: -50px;
  }
}

@media (max-width: 576px) {
  .mainbox {
    width: 100%;
    height: 50%;
  }
}

